138 views

Description

The error is caused by an issue with the "before" and "at or before" operands when you create a pie chart or bar chart from a list view.

  • When you view a list view of a table and then right-click the column header and choose Pie Chart or Bar Chart
  • When you have a dashboard containing a pie chart or bar chart that acts as a filter for the other widgets

One or more of the following error messages can be seen on the user interface:

Element type "javascript:gs.daysAgoStart" must be followed by either attribute specifications, ">" or "/>"."

The content of elements must consist of well-formed character data or markup.

Element type "javascript:gs.beginningOfThisWeek" must be followed by either attribute specifications, ">" or "/>"

Steps to Reproduce

 

  1. Go to a list view, for example, incident_list.do.

  2. Click the Filter icon and add a query condition that uses the 'before' operand in its criteria, for example, [Created] [before] [Last week].
  3. Right-click on the Priority column and choose Pie Chart or Bar Chart.

    The following error is displayed:

    Element type "javascript:gs.beginningOfLastWeek" must be followed by either attribute specifications, ">" or "/>".

Workaround

Create the pie or bar chart directly from the reporting module. For more information, see the product documentation topic Reporting.


Related Problem: PRB715524

Seen In

There is no data to report.

Fixed In

Jakarta

Associated Community Threads

There is no data to report.

Article Information

Last Updated:2017-10-25 06:31:04
Published:2017-07-17